## linux 6.1.112

=== drivers/staging/media/atomisp/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for camera drivers.
#
obj-$(CONFIG_INTEL_ATOMISP) += i2c/
obj-$(CONFIG_VIDEO_ATOMISP) += atomisp.o
obj-$(CONFIG_VIDEO_ATOMISP) += pci/atomisp_gmin_platform.o

# While on staging, keep debug enabled
DEFINES += -DDEBUG

atomisp = $(srctree)/drivers/staging/media/atomisp/

# SPDX-License-Identifier: GPL-2.0
atomisp-objs += \
	pci/atomisp_cmd.o \
	pci/atomisp_compat_css20.o \
	pci/atomisp_csi2.o \
	pci/atomisp_drvfs.o \
	pci/atomisp_fops.o \
	pci/atomisp_ioctl.o \
	pci/atomisp_subdev.o \
	pci/atomisp_tpg.o \
	pci/atomisp_v4l2.o \
	pci/sh_css_firmware.o \
	pci/sh_css_host_data.o \
	pci/sh_css_hrt.o \
	pci/sh_css_metrics.o \
	pci/sh_css_mipi.o \
	pci/sh_css_mmu.o \
	pci/sh_css.o \
	pci/sh_css_param_dvs.o \
	pci/sh_css_param_shading.o \
	pci/sh_css_params.o \
	pci/sh_css_properties.o \
	pci/sh_css_sp.o \
	pci/sh_css_stream_format.o \
	pci/sh_css_version.o \
	pci/base/circbuf/src/circbuf.o \
	pci/base/refcount/src/refcount.o \
	pci/camera/pipe/src/pipe_binarydesc.o \
	pci/camera/pipe/src/pipe_stagedesc.o \
	pci/camera/pipe/src/pipe_util.o \
	pci/camera/util/src/util.o \
	pci/hmm/hmm_bo.o \
	pci/hmm/hmm.o \
	pci/ia_css_device_access.o \
	pci/ia_css_isp_configs.o \
	pci/ia_css_isp_states.o \
	pci/ia_css_isp_params.o \
	pci/isp/kernels/aa/aa_2/ia_css_aa2.host.o \
	pci/isp/kernels/anr/anr_1.0/ia_css_anr.host.o \
	pci/isp/kernels/anr/anr_2/ia_css_anr2.host.o \
	pci/isp/kernels/anr/anr_2/ia_css_anr2_table.host.o \
	pci/isp/kernels/bh/bh_2/ia_css_bh.host.o \
	pci/isp/kernels/bnlm/ia_css_bnlm.host.o \
	pci/isp/kernels/bnr/bnr_1.0/ia_css_bnr.host.o \
	pci/isp/kernels/bnr/bnr2_2/ia_css_bnr2_2.host.o \
	pci/isp/kernels/cnr/cnr_1.0/ia_css_cnr.host.o \
	pci/isp/kernels/cnr/cnr_2/ia_css_cnr2.host.o \
	pci/isp/kernels/conversion/conversion_1.0/ia_css_conversion.host.o \
	pci/isp/kernels/copy_output/copy_output_1.0/ia_css_copy_output.host.o \
	pci/isp/kernels/crop/crop_1.0/ia_css_crop.host.o \
	pci/isp/kernels/csc/csc_1.0/ia_css_csc.host.o \
	pci/isp/kernels/ctc/ctc_1.0/ia_css_ctc.host.o \
	pci/isp/kernels/ctc/ctc_1.0/ia_css_ctc_table.host.o \
	pci/isp/kernels/ctc/ctc1_5/ia_css_ctc1_5.host.o \
	pci/isp/kernels/ctc/ctc2/ia_css_ctc2.host.o \
	pci/isp/kernels/de/de_1.0/ia_css_de.host.o \
	pci/isp/kernels/de/de_2/ia_css_de2.host.o \
	pci/isp/kernels/dpc2/ia_css_dpc2.host.o \
	pci/isp/kernels/dp/dp_1.0/ia_css_dp.host.o \
	pci/isp/kernels/dvs/dvs_1.0/ia_css_dvs.host.o \
	pci/isp/kernels/eed1_8/ia_css_eed1_8.host.o \
	pci/isp/kernels/fc/fc_1.0/ia_css_formats.host.o \
	pci/isp/kernels/fpn/fpn_1.0/ia_css_fpn.host.o \
	pci/isp/kernels/gc/gc_1.0/ia_css_gc.host.o \
	pci/isp/kernels/gc/gc_1.0/ia_css_gc_table.host.o \
	pci/isp/kernels/gc/gc_2/ia_css_gc2.host.o \
	pci/isp/kernels/gc/gc_2/ia_css_gc2_table.host.o \
	pci/isp/kernels/hdr/ia_css_hdr.host.o \
	pci/isp/kernels/ipu2_io_ls/bayer_io_ls/ia_css_bayer_io.host.o \
	pci/isp/kernels/ipu2_io_ls/bayer_io_ls/ia_css_bayer_io.host.o \
	pci/isp/kernels/ipu2_io_ls/yuv444_io_ls/ia_css_yuv444_io.host.o \
	pci/isp/kernels/iterator/iterator_1.0/ia_css_iterator.host.o \
	pci/isp/kernels/macc/macc_1.0/ia_css_macc.host.o \
	pci/isp/kernels/macc/macc_1.0/ia_css_macc_table.host.o \
	pci/isp/kernels/macc/macc1_5/ia_css_macc1_5.host.o \
	pci/isp/kernels/macc/macc1_5/ia_css_macc1_5_table.host.o \
	pci/isp/kernels/norm/norm_1.0/ia_css_norm.host.o \
	pci/isp/kernels/ob/ob_1.0/ia_css_ob.host.o \
	pci/isp/kernels/ob/ob2/ia_css_ob2.host.o \
	pci/isp/kernels/output/output_1.0/ia_css_output.host.o \
	pci/isp/kernels/qplane/qplane_2/ia_css_qplane.host.o \
	pci/isp/kernels/raw_aa_binning/raw_aa_binning_1.0/ia_css_raa.host.o \
	pci/isp/kernels/raw/raw_1.0/ia_css_raw.host.o \
	pci/isp/kernels/ref/ref_1.0/ia_css_ref.host.o \
	pci/isp/kernels/s3a/s3a_1.0/ia_css_s3a.host.o \
	pci/isp/kernels/sc/sc_1.0/ia_css_sc.host.o \
	pci/isp/kernels/sdis/sdis_1.0/ia_css_sdis.host.o \
	pci/isp/kernels/sdis/sdis_2/ia_css_sdis2.host.o \
	pci/isp/kernels/tdf/tdf_1.0/ia_css_tdf.host.o \
	pci/isp/kernels/tnr/tnr_1.0/ia_css_tnr.host.o \
	pci/isp/kernels/vf/vf_1.0/ia_css_vf.host.o \
	pci/isp/kernels/wb/wb_1.0/ia_css_wb.host.o \
	pci/isp/kernels/xnr/xnr_1.0/ia_css_xnr.host.o \
	pci/isp/kernels/xnr/xnr_1.0/ia_css_xnr_table.host.o \
	pci/isp/kernels/xnr/xnr_3.0/ia_css_xnr3.host.o \
	pci/isp/kernels/ynr/ynr_1.0/ia_css_ynr.host.o \
	pci/isp/kernels/ynr/ynr_2/ia_css_ynr2.host.o \
	pci/mmu/isp_mmu.o \
	pci/mmu/sh_mmu_mrfld.o \
	pci/runtime/binary/src/binary.o \
	pci/runtime/bufq/src/bufq.o \
	pci/runtime/debug/src/ia_css_debug.o \
	pci/runtime/eventq/src/eventq.o \
	pci/runtime/event/src/event.o \
	pci/runtime/frame/src/frame.o \
	pci/runtime/ifmtr/src/ifmtr.o \
	pci/runtime/inputfifo/src/inputfifo.o \
	pci/runtime/isp_param/src/isp_param.o \
	pci/runtime/isys/src/csi_rx_rmgr.o \
	pci/runtime/isys/src/isys_dma_rmgr.o \
	pci/runtime/isys/src/isys_init.o \
	pci/runtime/isys/src/isys_stream2mmio_rmgr.o \
	pci/runtime/isys/src/rx.o \
	pci/runtime/isys/src/virtual_isys.o \
	pci/runtime/pipeline/src/pipeline.o \
	pci/runtime/queue/src/queue_access.o \
	pci/runtime/queue/src/queue.o \
	pci/runtime/rmgr/src/rmgr.o \
	pci/runtime/rmgr/src/rmgr_vbuf.o \
	pci/runtime/spctrl/src/spctrl.o \
	pci/runtime/timer/src/timer.o \
	pci/hive_isp_css_common/host/debug.o \
	pci/hive_isp_css_common/host/dma.o \
	pci/hive_isp_css_common/host/event_fifo.o \
	pci/hive_isp_css_common/host/fifo_monitor.o \
	pci/hive_isp_css_common/host/gdc.o \
	pci/hive_isp_css_common/host/gp_device.o \
	pci/hive_isp_css_common/host/gp_timer.o \
	pci/hive_isp_css_common/host/hmem.o \
	pci/hive_isp_css_common/host/input_formatter.o \
	pci/hive_isp_css_common/host/input_system.o \
	pci/hive_isp_css_common/host/irq.o \
	pci/hive_isp_css_common/host/isp.o \
	pci/hive_isp_css_common/host/mmu.o \
	pci/hive_isp_css_common/host/sp.o \
	pci/hive_isp_css_common/host/timed_ctrl.o \
	pci/hive_isp_css_common/host/vmem.o \
	pci/hive_isp_css_shared/host/tag.o \
	pci/system_local.o

# These will be needed when clean merge CHT support nicely into the driver
# Keep them here handy for when we get to that point
#

obj-cht = \
	pci/css_2401_system/host/csi_rx.o \
	pci/css_2401_system/host/ibuf_ctrl.o \
	pci/css_2401_system/host/isys_dma.o \
	pci/css_2401_system/host/isys_irq.o \
	pci/css_2401_system/host/isys_stream2mmio.o

INCLUDES += \
	-I$(atomisp)/ \
	-I$(atomisp)/include/ \
	-I$(atomisp)/include/hmm/ \
	-I$(atomisp)/include/mmu/ \
	-I$(atomisp)/pci/ \
	-I$(atomisp)/pci/base/circbuf/interface/ \
	-I$(atomisp)/pci/base/refcount/interface/ \
	-I$(atomisp)/pci/camera/pipe/interface/ \
	-I$(atomisp)/pci/camera/util/interface/ \
	-I$(atomisp)/pci/hive_isp_css_common/ \
	-I$(atomisp)/pci/hive_isp_css_common/host/ \
	-I$(atomisp)/pci/hive_isp_css_include/ \
	-I$(atomisp)/pci/hive_isp_css_include/device_access/ \
	-I$(atomisp)/pci/hive_isp_css_include/host/ \
	-I$(atomisp)/pci/hive_isp_css_shared/ \
	-I$(atomisp)/pci/hive_isp_css_shared/host/ \
	-I$(atomisp)/pci/isp/kernels/ \
	-I$(atomisp)/pci/isp/kernels/aa/aa_2/ \
	-I$(atomisp)/pci/isp/kernels/anr/anr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/anr/anr_2/ \
	-I$(atomisp)/pci/isp/kernels/bh/bh_2/ \
	-I$(atomisp)/pci/isp/kernels/bnlm/ \
	-I$(atomisp)/pci/isp/kernels/bnr/ \
	-I$(atomisp)/pci/isp/kernels/bnr/bnr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/bnr/bnr2_2/ \
	-I$(atomisp)/pci/isp/kernels/cnr/ \
	-I$(atomisp)/pci/isp/kernels/cnr/cnr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/cnr/cnr_2/ \
	-I$(atomisp)/pci/isp/kernels/conversion/ \
	-I$(atomisp)/pci/isp/kernels/conversion/conversion_1.0/ \
	-I$(atomisp)/pci/isp/kernels/copy_output/ \
	-I$(atomisp)/pci/isp/kernels/copy_output/copy_output_1.0/ \
	-I$(atomisp)/pci/isp/kernels/crop/ \
	-I$(atomisp)/pci/isp/kernels/crop/crop_1.0/ \
	-I$(atomisp)/pci/isp/kernels/csc/ \
	-I$(atomisp)/pci/isp/kernels/csc/csc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ctc/ \
	-I$(atomisp)/pci/isp/kernels/ctc/ctc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ctc/ctc1_5/ \
	-I$(atomisp)/pci/isp/kernels/ctc/ctc2/ \
	-I$(atomisp)/pci/isp/kernels/de/ \
	-I$(atomisp)/pci/isp/kernels/de/de_1.0/ \
	-I$(atomisp)/pci/isp/kernels/de/de_2/ \
	-I$(atomisp)/pci/isp/kernels/dp/ \
	-I$(atomisp)/pci/isp/kernels/dpc2/ \
	-I$(atomisp)/pci/isp/kernels/dp/dp_1.0/ \
	-I$(atomisp)/pci/isp/kernels/dvs/ \
	-I$(atomisp)/pci/isp/kernels/dvs/dvs_1.0/ \
	-I$(atomisp)/pci/isp/kernels/eed1_8/ \
	-I$(atomisp)/pci/isp/kernels/fc/ \
	-I$(atomisp)/pci/isp/kernels/fc/fc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/fixedbds/ \
	-I$(atomisp)/pci/isp/kernels/fixedbds/fixedbds_1.0/ \
	-I$(atomisp)/pci/isp/kernels/fpn/ \
	-I$(atomisp)/pci/isp/kernels/fpn/fpn_1.0/ \
	-I$(atomisp)/pci/isp/kernels/gc/ \
	-I$(atomisp)/pci/isp/kernels/gc/gc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/gc/gc_2/ \
	-I$(atomisp)/pci/isp/kernels/hdr/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/bayer_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/bayer_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/common/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/common/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/yuv444_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/ipu2_io_ls/yuv444_io_ls/ \
	-I$(atomisp)/pci/isp/kernels/iterator/ \
	-I$(atomisp)/pci/isp/kernels/iterator/iterator_1.0/ \
	-I$(atomisp)/pci/isp/kernels/macc/ \
	-I$(atomisp)/pci/isp/kernels/macc/macc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/macc/macc1_5/ \
	-I$(atomisp)/pci/isp/kernels/norm/ \
	-I$(atomisp)/pci/isp/kernels/norm/norm_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ob/ \
	-I$(atomisp)/pci/isp/kernels/ob/ob_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ob/ob2/ \
	-I$(atomisp)/pci/isp/kernels/output/ \
	-I$(atomisp)/pci/isp/kernels/output/output_1.0/ \
	-I$(atomisp)/pci/isp/kernels/qplane/ \
	-I$(atomisp)/pci/isp/kernels/qplane/qplane_2/ \
	-I$(atomisp)/pci/isp/kernels/raw/ \
	-I$(atomisp)/pci/isp/kernels/raw_aa_binning/ \
	-I$(atomisp)/pci/isp/kernels/raw_aa_binning/raw_aa_binning_1.0/ \
	-I$(atomisp)/pci/isp/kernels/raw/raw_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ref/ \
	-I$(atomisp)/pci/isp/kernels/ref/ref_1.0/ \
	-I$(atomisp)/pci/isp/kernels/s3a/ \
	-I$(atomisp)/pci/isp/kernels/s3a/s3a_1.0/ \
	-I$(atomisp)/pci/isp/kernels/sc/ \
	-I$(atomisp)/pci/isp/kernels/sc/sc_1.0/ \
	-I$(atomisp)/pci/isp/kernels/sdis/ \
	-I$(atomisp)/pci/isp/kernels/sdis/common/ \
	-I$(atomisp)/pci/isp/kernels/sdis/sdis_1.0/ \
	-I$(atomisp)/pci/isp/kernels/sdis/sdis_2/ \
	-I$(atomisp)/pci/isp/kernels/tdf/ \
	-I$(atomisp)/pci/isp/kernels/tdf/tdf_1.0/ \
	-I$(atomisp)/pci/isp/kernels/tnr/ \
	-I$(atomisp)/pci/isp/kernels/tnr/tnr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/tnr/tnr3/ \
	-I$(atomisp)/pci/isp/kernels/uds/ \
	-I$(atomisp)/pci/isp/kernels/uds/uds_1.0/ \
	-I$(atomisp)/pci/isp/kernels/vf/ \
	-I$(atomisp)/pci/isp/kernels/vf/vf_1.0/ \
	-I$(atomisp)/pci/isp/kernels/wb/ \
	-I$(atomisp)/pci/isp/kernels/wb/wb_1.0/ \
	-I$(atomisp)/pci/isp/kernels/xnr/ \
	-I$(atomisp)/pci/isp/kernels/xnr/xnr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/xnr/xnr_3.0/ \
	-I$(atomisp)/pci/isp/kernels/ynr/ \
	-I$(atomisp)/pci/isp/kernels/ynr/ynr_1.0/ \
	-I$(atomisp)/pci/isp/kernels/ynr/ynr_2/ \
	-I$(atomisp)/pci/isp/modes/interface/ \
	-I$(atomisp)/pci/runtime/binary/interface/ \
	-I$(atomisp)/pci/runtime/bufq/interface/ \
	-I$(atomisp)/pci/runtime/debug/interface/ \
	-I$(atomisp)/pci/runtime/event/interface/ \
	-I$(atomisp)/pci/runtime/eventq/interface/ \
	-I$(atomisp)/pci/runtime/frame/interface/ \
	-I$(atomisp)/pci/runtime/ifmtr/interface/ \
	-I$(atomisp)/pci/runtime/inputfifo/interface/ \
	-I$(atomisp)/pci/runtime/isp_param/interface/ \
	-I$(atomisp)/pci/runtime/isys/interface/ \
	-I$(atomisp)/pci/runtime/isys/src/ \
	-I$(atomisp)/pci/runtime/pipeline/interface/ \
	-I$(atomisp)/pci/runtime/queue/interface/ \
	-I$(atomisp)/pci/runtime/queue/src/ \
	-I$(atomisp)/pci/runtime/rmgr/interface/ \
	-I$(atomisp)/pci/runtime/spctrl/interface/ \
	-I$(atomisp)/pci/runtime/tagger/interface/ \
	-I$(atomisp)/pci/css_2401_system/ \
	-I$(atomisp)/pci/css_2401_system/host/ \
	-I$(atomisp)/pci/css_2401_system/hrt/

=== debian/changelog ===
linux (6.1.112-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.107
    - tty: atmel_serial: use the correct RTS flag.
    - fuse: Initialize beyond-EOF page contents before setting uptodate
    - ALSA: usb-audio: Add delay quirk for VIVO USB-C-XE710 HEADSET
    - ALSA: usb-audio: Support Yamaha P-125 quirk entry
    - xhci: Fix Panther point NULL pointer deref at full-speed re-enumeration
    - [x86] thunderbolt: Mark XDomain as unplugged when router is removed
    - [s390x] dasd: fix error recovery leading to data corruption on ESE devices
    - [arm64] ACPI: NUMA: initialize all values of acpi_early_node_map to
      NUMA_NO_NODE
    - dm resume: don't return EINVAL when signalled
    - dm persistent data: fix memory allocation failure
    - vfs: Don't evict inode under the inode lru traversing context
    - [s390x] cio: rename bitmap_size() -> idset_bitmap_size()
    - btrfs: rename bitmap_set_bits() -> btrfs_bitmap_set_bits()
    - bitmap: introduce generic optimized bitmap_size()
    - fix bitmap corruption on close_range() with CLOSE_RANGE_UNSHARE
    - i2c: qcom-geni: Add missing geni_icc_disable in geni_i2c_runtime_resume
    - rtla/osnoise: Prevent NULL dereference in error handling
    - fs/netfs/fscache_cookie: add missing "n_accesses" check
    - selinux: fix potential counting error in avc_add_xperms_decision()
    - mm/memory-failure: use raw_spinlock_t in struct memory_failure_cpu
    - btrfs: zoned: properly take lock to read/update block group's zoned
      variables
    - btrfs: tree-checker: add dev extent item checks
    - drm/amdgpu: Actually check flags for all context ops.
    - memcg_write_event_control(): fix a user-triggerable oops
    - drm/amdgpu/jpeg2: properly set atomics vmid field
    - [s390x] uv: Panic for set and remove shared access UVC errors
    - bpf: Fix updating attached freplace prog in prog_array map
    - nilfs2: prevent WARNING in nilfs_dat_commit_end()
    - ext4, jbd2: add an optimized bmap for the journal inode
    - 9P FS: Fix wild-memory-access write in v9fs_get_acl
    - nilfs2: initialize "struct nilfs_binfo_dat"->bi_pad field
    - mm: khugepaged: fix kernel BUG in hpage_collapse_scan_file()
    - bpf: Split off basic BPF verifier log into separate file
    - bpf: drop unnecessary user-triggerable WARN_ONCE in verifierl log
    - posix-timers: Ensure timer ID search-loop limit is valid
    - pid: Replace struct pid 1-element array with flex-array
    - gfs2: Rename remaining "transaction" glock references
    - gfs2: Rename the {freeze,thaw}_super callbacks
    - gfs2: Rename gfs2_freeze_lock{ => _shared }
    - gfs2: Rename SDF_{FS_FROZEN => FREEZE_INITIATOR}
    - gfs2: Rework freeze / thaw logic
    - gfs2: Stop using gfs2_make_fs_ro for withdraw
    - Bluetooth: Fix hci_link_tx_to RCU lock usage
    - wifi: mac80211: take wiphy lock for MAC addr change
    - wifi: mac80211: fix change_address deadlock during unregister
    - net: sched: Print msecs when transmit queue time out
    - net: don't dump stack on queue timeout
    - jfs: fix shift-out-of-bounds in dbJoin
    - squashfs: squashfs_read_data need to check if the length is 0
    - Squashfs: fix variable overflow triggered by sysbot
    - reiserfs: fix uninit-value in comp_keys
    - erofs: avoid debugging output for (de)compressed data
    - quota: Detect loops in quota tree
    - net:rds: Fix possible deadlock in rds_message_put
    - net: sctp: fix skb leak in sctp_inq_free()
    - pppoe: Fix memory leak in pppoe_sendmsg()
    - wifi: mac80211: fix and simplify unencrypted drop check for mesh
    - wifi: cfg80211: move A-MSDU check in ieee80211_data_to_8023_exthdr
    - wifi: cfg80211: factor out bridge tunnel / RFC1042 header check
    - wifi: mac80211: remove mesh forwarding congestion check
    - wifi: mac80211: fix receiving A-MSDU frames on mesh interfaces
    - wifi: mac80211: add a workaround for receiving non-standard mesh A-MSDU
    - wifi: cfg80211: check A-MSDU format more carefully (CVE-2024-35937)
    - docs/bpf: Document BPF_MAP_TYPE_LPM_TRIE map
    - bpf: Replace bpf_lpm_trie_key 0-length array with flexible array
    - bpf: Avoid kfree_rcu() under lock in bpf_lpm_trie.
    - Bluetooth: RFCOMM: Fix not validating setsockopt user input
      (CVE-2024-35966)
    - ext4: check the return value of ext4_xattr_inode_dec_ref()
    - ext4: fold quota accounting into ext4_xattr_inode_lookup_create()
    - ext4: do not create EA inode under buffer lock (CVE-2024-40972)
    - udf: Fix bogus checksum computation in udf_rename()
    - bpf, net: Use DEV_STAT_INC()
    - fou: remove warn in gue_gro_receive on unsupported protocol
      (CVE-2024-44940)
    - jfs: fix null ptr deref in dtInsertEntry (CVE-2024-44939)
    - jfs: Fix shift-out-of-bounds in dbDiscardAG (CVE-2024-44938)
    - ALSA: usb: Fix UBSAN warning in parse_audio_unit()
    - igc: Correct the launchtime offset
    - igc: Fix packet still tx after gate close by reducing i226 MAC retry
      buffer
    - net/mlx5e: Take state lock during tx timeout reporter
    - net/mlx5e: Correctly report errors for ethtool rx flows
    - atm: idt77252: prevent use after free in dequeue_rx()
    - mlxbf_gige: Remove two unused function declarations
    - mlxbf_gige: disable RX filters until RX path initialized
    - mptcp: correct MPTCP_SUBFLOW_ATTR_SSN_OFFSET reserved size
    - netfilter: allow ipv6 fragments to arrive on different devices
    - netfilter: flowtable: initialise extack before use
    - netfilter: nf_queue: drop packets with cloned unconfirmed conntracks
      (Closes: #1070685)
    - netfilter: nf_tables: Audit log dump reset after the fact
    - netfilter: nf_tables: Drop pointless memset in nf_tables_dump_obj
    - netfilter: nf_tables: Unconditionally allocate nft_obj_filter
    - netfilter: nf_tables: A better name for nft_obj_filter
    - netfilter: nf_tables: Carry s_idx in nft_obj_dump_ctx


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, pahole <!pkg.linux.nokernel !stage1> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-12 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-12-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-12-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-12-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-12-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-12-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-12-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-12-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-12-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-12-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, libelf-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtraceevent-dev (>= 1:1.5) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, python3-docutils [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-26
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-doc-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-source
Architecture: all
Build-Profiles: <!pkg.linux.nometa !pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: linux-source-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel source (meta-package)
 This package depends on packages containing the sources of the latest
 Linux kernel.

Package: linux-headers-6.1.0-26-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-26
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-26, generally used for building out-of-tree kernel modules.
 To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-26-(flavour) package, matching the flavour of the
 kernel you intend the build for.

Package: linux-headers-6.1.0-26-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-26-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-26 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-26-alpha-generic [alpha], linux-image-6.1.0-26-alpha-smp [alpha], linux-image-6.1.0-26-amd64-unsigned [amd64], linux-image-6.1.0-26-cloud-amd64-unsigned [amd64], linux-image-6.1.0-26-rt-amd64-unsigned [amd64], linux-image-6.1.0-26-arm64-unsigned [arm64], linux-image-6.1.0-26-cloud-arm64-unsigned [arm64], linux-image-6.1.0-26-rt-arm64-unsigned [arm64], linux-image-6.1.0-26-marvell [armel], linux-image-6.1.0-26-rpi [armel], linux-image-6.1.0-26-armmp [armhf], linux-image-6.1.0-26-armmp-lpae [armhf], linux-image-6.1.0-26-rt-armmp [armhf], linux-image-6.1.0-26-parisc [hppa], linux-image-6.1.0-26-parisc64 [hppa], linux-image-6.1.0-26-686-unsigned [i386], linux-image-6.1.0-26-686-pae-unsigned [i386], linux-image-6.1.0-26-rt-686-pae-unsigned [i386], linux-image-6.1.0-26-itanium [ia64], linux-image-6.1.0-26-mckinley [ia64], linux-image-6.1.0-26-m68k [m68k], linux-image-6.1.0-26-4kc-malta [mips mipsel], linux-image-6.1.0-26-mips32r2eb [mips], linux-image-6.1.0-26-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-26-5kc-malta [mips64 mips64el], linux-image-6.1.0-26-mips64r2eb [mips64], linux-image-6.1.0-26-mips64r2el [mips64el], linux-image-6.1.0-26-loongson-3 [mips64el mipsel], linux-image-6.1.0-26-mips64r6eb [mips64r6], linux-image-6.1.0-26-mips64r6el [mips64r6el], linux-image-6.1.0-26-mips32r2el [mipsel], linux-image-6.1.0-26-mips32r6eb [mipsr6], linux-image-6.1.0-26-mips32r6el [mipsr6el], linux-image-6.1.0-26-powerpc [powerpc], linux-image-6.1.0-26-powerpc-smp [powerpc], linux-image-6.1.0-26-powerpc64 [powerpc ppc64], linux-image-6.1.0-26-powerpc64le [ppc64el], linux-image-6.1.0-26-riscv64 [riscv64], linux-image-6.1.0-26-s390x [s390x], linux-image-6.1.0-26-sh7751r [sh4], linux-image-6.1.0-26-sh7785lcr [sh4], linux-image-6.1.0-26-sparc64 [sparc64], linux-image-6.1.0-26-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-26-alpha-smp [alpha], linux-headers-6.1.0-26-cloud-amd64 [amd64], linux-headers-6.1.0-26-cloud-arm64 [arm64], linux-headers-6.1.0-26-armmp [armhf], linux-headers-6.1.0-26-parisc [hppa], linux-headers-6.1.0-26-686-pae [i386], linux-headers-6.1.0-26-itanium [ia64], linux-headers-6.1.0-26-m68k [m68k], linux-headers-6.1.0-26-powerpc64 [ppc64], linux-headers-6.1.0-26-powerpc64le [ppc64el], linux-headers-6.1.0-26-riscv64 [riscv64], linux-headers-6.1.0-26-s390x [s390x], linux-headers-6.1.0-26-sparc64-smp [sparc64]
